MFC 261217:
authorjhb <jhb@ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f>
Tue, 10 Jun 2014 21:20:37 +0000 (21:20 +0000)
committerjhb <jhb@ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f>
Tue, 10 Jun 2014 21:20:37 +0000 (21:20 +0000)
commit6794c3c821a251bd0ae31813059e9aedac60a5ff
tree364f793ede96504bcd1fe3328c19b8ef13439751
parentc4ce15f0b023ea30773a23aca0294e59da10ac23
MFC 261217:
Remove support for legacy PCI devices.  These haven't been needed since
support for LPC uart devices was added and it conflicts with upcoming
patches to add PCI INTx support.

Approved by: grehan

git-svn-id: svn://svn.freebsd.org/base/stable/10@267341 ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
usr.sbin/bhyve/bhyve.8
usr.sbin/bhyve/bhyverun.c
usr.sbin/bhyve/pci_emul.c
usr.sbin/bhyve/pci_emul.h
usr.sbin/bhyve/pci_uart.c